#if !defined(AFX_DIALOG_H__10FE19C6_3159_4E76_A1CE_3333DE0E2DC3__INCLUDED_)
#define AFX_DIALOG_H__10FE19C6_3159_4E76_A1CE_3333DE0E2DC3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// dialog.h : header file
//

#include "statlink.h"

/////////////////////////////////////////////////////////////////////////////
// CEula dialog

class CEula : public CDialog
{
// Construction
public:
	CEula(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEula)
	enum { IDD = IDD_EULA };
	BOOL	m_Accept;
	CString	m_Eula;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEula)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEula)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CInstall dialog

class CInstall : public CDialog
{
// Construction
public:
	CInstall(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CInstall)
	enum { IDD = IDD_INSTALL };
	CComboBox	m_cServiceName;
	CString	m_Source;
	CString	m_Target;
	CString	m_Type;
	CString	m_Dest;
	BOOL	m_InstallService;
	BOOL	m_AutoStart;
	CString	m_DisplayName;
	CString	m_ExeName;
	CString	m_Password;
	CString	m_Password2;
	//}}AFX_DATA
	CString m_ServiceName;
	void SetServiceOptions();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInstall)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInstall)
	afx_msg void OnSourceFind();
	virtual BOOL OnInitDialog();
	afx_msg void OnInstallService();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CVNCOptions dialog

class CVNCOptions : public CDialog
{
// Construction
public:
	CVNCOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CVNCOptions)
	enum { IDD = IDD_VNC_OPTIONS };
	CString	m_Pwd;
	CString	m_Pwd2;
	BOOL	m_PollConsoleOnly;
	BOOL	m_PollEventOnly;
	BOOL	m_PollForeground;
	BOOL	m_PollFullScreen;
	BOOL	m_PollUnderCursor;
	BOOL	m_SocketConnect;
	BOOL	m_AutoPortSelect;
	BOOL	m_DisableLocalKP;
	BOOL	m_DisableRemoteKP;
	DWORD	m_PortNumber;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVNCOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CVNCOptions)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIALOG_H__10FE19C6_3159_4E76_A1CE_3333DE0E2DC3__INCLUDED_)
